com.sun.jna.platform.win32.COM

## Class RunningObjectTable

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.RunningObjectTable

All Implemented Interfaces:
  NativeMapped, IRunningObjectTable, IUnknown

Direct Known Subclasses:
  RunningObjectTable.ByReference

    public class RunningObjectTable
    extends Unknown
    implements IRunningObjectTable

### Nested Class Summary

Nested Classes
`static class` `RunningObjectTable.ByReference`

### Field Summary

### Fields inherited from interface com.sun.jna.platform.win32.COM.IRunningObjectTable

`IID`

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`RunningObjectTable()`
`RunningObjectTable(Pointer pointer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WinNT.HRESULT` `EnumRunning(PointerByReference ppenumMoniker)` Creates and returns a pointer to an enumerator that can list the monikers of all the objects currently registered in the running object table (ROT).
`WinNT.HRESULT` `GetObject(Pointer pmkObjectName, PointerByReference ppunkObject)` Determines whether the object identified by the specified moniker is running, and if it is, retrieves a pointer to that object.
`WinNT.HRESULT` `GetTimeOfLastChange(Pointer pmkObjectName, WinBase.FILETIME.ByReference pfiletime)` Retrieves the time that an object was last modified.
`WinNT.HRESULT` `IsRunning(Pointer pmkObjectName)` Determines whether the object identified by the specified moniker is currently running.
`WinNT.HRESULT` `NoteChangeTime(WinDef.DWORD dwRegister, WinBase.FILETIME pfiletime)` Records the time that a running object was last modified.
`WinNT.HRESULT` `Register(WinDef.DWORD grfFlags, Pointer punkObject, Pointer pmkObjectName, WinDef.DWORDByReference pdwRegister)` Registers an object and its identifying moniker in the running object table (ROT).
`WinNT.HRESULT` `Revoke(WinDef.DWORD dwRegister)` Removes an entry from the running object table (ROT) that was previously registered by a call to IRunningObjectTable.Register.

### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

`AddRef, QueryInterface, Release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`AddRef, QueryInterface, Release`

### Constructor Detail

#### RunningObjectTable

    public RunningObjectTable()

#### RunningObjectTable

    public RunningObjectTable(Pointer pointer)

### Method Detail

#### Register

    public WinNT.HRESULT Register(WinDef.DWORD grfFlags,
                                  Pointer punkObject,
                                  Pointer pmkObjectName,
                                  WinDef.DWORDByReference pdwRegister)

Description copied from interface: `IRunningObjectTable`
Registers an object and its identifying moniker in the running object table (ROT). `HRESULT Register( [in] DWORD grfFlags, [in] IUnknown *punkObject, [in] IMoniker *pmkObjectName, [out] DWORD *pdwRegister );`

Specified by:
  `Register` in interface `IRunningObjectTable`
See Also:
  MSDN

#### Revoke

    public WinNT.HRESULT Revoke(WinDef.DWORD dwRegister)

Description copied from interface: `IRunningObjectTable`
Removes an entry from the running object table (ROT) that was previously registered by a call to IRunningObjectTable.Register. `HRESULT Revoke( [in] DWORD dwRegister );`

Specified by:
  `Revoke` in interface `IRunningObjectTable`
See Also:
  MSDN

#### IsRunning

    public WinNT.HRESULT IsRunning(Pointer pmkObjectName)

Description copied from interface: `IRunningObjectTable`
Determines whether the object identified by the specified moniker is currently running. `HRESULT IsRunning( [in] IMoniker *pmkObjectName );`

Specified by:
  `IsRunning` in interface `IRunningObjectTable`
See Also:
  MSDN

#### GetObject

    public WinNT.HRESULT GetObject(Pointer pmkObjectName,
                                   PointerByReference ppunkObject)

Description copied from interface: `IRunningObjectTable`
Determines whether the object identified by the specified moniker is running, and if it is, retrieves a pointer to that object. `HRESULT GetObject( [in] IMoniker *pmkObjectName, [out] IUnknown **ppunkObject );`

Specified by:
  `GetObject` in interface `IRunningObjectTable`
See Also:
  MSDN

#### NoteChangeTime

    public WinNT.HRESULT NoteChangeTime(WinDef.DWORD dwRegister,
                                        WinBase.FILETIME pfiletime)

Description copied from interface: `IRunningObjectTable`
Records the time that a running object was last modified. `HRESULT NoteChangeTime( [in] DWORD dwRegister, [in] FILETIME *pfiletime );`

Specified by:
  `NoteChangeTime` in interface `IRunningObjectTable`
See Also:
  MSDN

#### GetTimeOfLastChange

    public WinNT.HRESULT GetTimeOfLastChange(Pointer pmkObjectName,
                                             WinBase.FILETIME.ByReference pfiletime)

Description copied from interface: `IRunningObjectTable`
Retrieves the time that an object was last modified. `HRESULT GetTimeOfLastChange( [in] IMoniker *pmkObjectName, [out] FILETIME *pfiletime );`

Specified by:
  `GetTimeOfLastChange` in interface `IRunningObjectTable`
See Also:
  MSDN

#### EnumRunning

    public WinNT.HRESULT EnumRunning(PointerByReference ppenumMoniker)

Description copied from interface: `IRunningObjectTable`
Creates and returns a pointer to an enumerator that can list the monikers of all the objects currently registered in the running object table (ROT). `HRESULT EnumRunning( [out] IEnumMoniker **ppenumMoniker );`

Specified by:
  `EnumRunning` in interface `IRunningObjectTable`
See Also:
  MSDN

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.